# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define uim_version     1.4.0
%define chewing_version 0.3.2

Name:		uim-chewing
Summary:	Chinese input plugin for UIM
Version:	0.1.0
Release:	alt1_10
Group:		System/Internationalization
License:	BSD-like
URL:		https://people.freedesktop.org/~ekato/download/
Source0:	http://uim.googlecode.com/files/%{name}-%{version}.tar.gz
# (tv) for uim-module-manager:
BuildRequires:	emacs-uim uim-fep uim-utils uim-xim
BuildRequires:	libuim-devel     >= %{uim_version}
BuildRequires:	libchewing-devel >= %{chewing_version}
BuildRequires:	librsvg
Requires:	emacs-uim uim-fep uim-utils uim-xim
Requires:	libchewing >= %{chewing_version}
Source44: import.info

%description
Chinese input plugin for UIM.

%prep
%setup -q

%build
# fix build on aarch64
autoreconf -vfi

%configure \
	--disable-static
%make_build

%install
%makeinstall_std

# remove unnecessary files
find %{buildroot} -name "*.la" -delete

%post
uim-module-manager --register chewing

%postun
uim-module-manager --unregister chewing

%files
%doc AUTHORS COPYING
%{_datadir}/uim/*.scm
%{_datadir}/uim/pixmaps/*.png
%{_libdir}/uim/plugin/libuim*.so


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 0.1.0-alt1_10
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_9
- update by mgaimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_8
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.1.0-alt1_7
- new version

